@import 'styles';

.root {
  width: 424px;
  border-radius: 14px;
  background: var(--bg-cl-3);
  border: none;
  &:global(.ant-card-small) {
    width: 312px;
  }
}

.sm {
  width: 312px;
}

.md {
  width: 312px;

  :global {
    padding: 24px;

    .ant-card-body {
      padding: 0;
      margin-top: 24px;
    }
  }
}

.name {
  font-weight: var(--f-weight-700);
  font-size: var(--f-size-24);
  color: var(--cl-white);
}

.nameicon {
  @extend %flex-center-spacebetween-row;
  width: 100%;
  //width: 375px;
}
.creatorname {
  font-family: var(--f-secondary);
  font-size: var(--f-size-12);
  color: var(--cl-white);
  opacity: 0.6;
}

.avatar {
  width: 20px;
  height: 20px;
}

.price {
  font-family: var(--f-secondary);
  font-weight: var(--f-weight-600);
  color: var(--cl-white);
}

.creatorprice {
  @extend %flex-center-spacebetween-row;
  width: 100%;
  max-width: 375px;
}
.reverseForSm {
  flex-direction: column-reverse;
  &:global(.ant-space) {
    @extend %flex-start;
    flex-direction: column-reverse;
  }
  &:global(.ant-space-item) {
    @extend %flex-center-spacebetween-row;
    width: 100%;
  }
}

.reverseForMd {
  width: 100%;
  flex-direction: column-reverse;
  &:global(.ant-space) {
    @extend %flex-start;
    flex-direction: column-reverse;
  }
  &:global(.ant-space-item) {
    @extend %flex-center-spacebetween-row;
    width: 100%;
  }
}

.btn {
  margin-top: 24px;
}

.noteContent {
  color: var(--cl-white);
  font-size: var(--f-size-12);
  opacity: 0.6;
  font-weight: var(--f-weight-400);
}

.spaceItem {
  width: 100;
}

.imgSm {
  height: 200px !important;
}

.img {
  height: 280px;
  object-fit: cover;
  width: 100%;
  border-radius: 8px !important;
}

.content {
  display: flex;
  width: 100%;
  justify-content: space-between;
}

.space {
  padding: 20px;
}

.btncountdown {
  @extend %flex-center-spacebetween-row;
  width: 100%;
  justify-items: center;
}

.countdown {
  display: none;
}

.lg {
  display: block;
}
